Bug 991857 - the other FtpClient received no error while one client upload the same file when the server enabled the option "lock_upload_files=YES"
the other FtpClient received no error while one client upload the same file w...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vsftpd (Show other bugs)
6.1
All Windows
unspecified Severity medium
: rc
: ---
Assigned To: Jiri Skala
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 22:30 EDT by Owen Zhao
Modified: 2014-11-09 17:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-10 11:22:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Zhao 2013-08-04 22:30:34 EDT
Description of problem:
When two or  more FtpClient upload  the same file to the same directory on the server. the other FtpClients recived no error.

Version-Release number of selected component (if applicable):
1.vsftpd-2.2.2-6.el6_0.1.i686
2.vsftpd-2.2.2-11.el6.i686

How reproducible:


Steps to Reproduce:
1. Install and configure vsftpd service on a server(6.1,6.2,6.3),enable the option "lock_upload_files=YES" 
2. Running one FtpClient on a PC, login the vsftpd server,and upload a file (more than 500MB)
3.Running another FtpClient on the same PC, login the vsftpd server, and upload the same file to the same directory of the server.

Actual results:
The second FtpClient just waiting and waiting...

Expected results:
The second FtpClient may recived one Code 550 or 450: File is not available


Additional info:
1. Running two or more FtpClients on different PC, expect the first one is uploading file ,the rest are all waiting and waiting...
2.Try other kinds of FtpClients, like 8uftp.exe, FlashXP.exe,the results are all the same.
3.While use Windows Server 2003 as a server. the rest FtpClients received an error "The process cannot access the file because it is being used by another process" immediately.
Comment 2 RHEL Product and Program Management 2013-10-13 19:17:58 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jiri Skala 2014-02-10 11:22:21 EST
I didn't reproduce the issue. I tested ftp client as well as lftp. Both clients was served by vsftpd as intended.

The client #2 is waiting till end of the upload of the client #1 then continues the upload of the client #2.

It's nice to see using lftp. The client #1 displays increasing percentage of data transfer. The client #2 displays 0% during the upload of the client #1. This percentage starts increasing when the upload of the client #1 is finished.

I tested it with 0.8 GB file.

Resolution -> closing 'notabug'.

Jiri

Note You need to log in before you can comment on or make changes to this bug.